Bug 974859 - engine [TEXT]: unclear error message when extend storage domain fails
engine [TEXT]: unclear error message when extend storage domain fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
medium Severity medium
: ---
: 3.5.0
Assigned To: Idan Shaby
Kevin Alon Goldblatt
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 12:21 EDT by Dafna Ron
Modified: 2016-02-10 12:32 EST (History)
11 users (show)

See Also:
Fixed In Version: org.ovirt.engine-root-3.5.0-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+


Attachments (Terms of Use)
logs (998.70 KB, application/x-gzip)
2013-06-16 12:21 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 33824 master MERGED core: Changed the PhysDevInitializationError msg Never
oVirt gerrit 33862 ovirt-engine-3.5 MERGED core: Changed the PhysDevInitializationError msg Never

  None (edit)
Description Dafna Ron 2013-06-16 12:21:36 EDT
Created attachment 761860 [details]
logs

Description of problem:

I extended a domain from a lun which disappeared after the login and extend fails with the following unclear error: 

Error while executing action Edit SAN Storage Domain configuration: Physical device initialization failed. Check that the device is empty. Please remove all files and partitions from the device.

Version-Release number of selected component (if applicable):

sf18

How reproducible:

100%

Steps to Reproduce:
1. in iscsi storage type with two hosts, create a domain from a lun on one server
2. in storage tab -> select the domain -> edit -> discover luns on a second storage server and log in to one lun
3. block connectivity to the lun from storage server2 and press OK on the edit domain dialogue

Actual results:

extend fails with the following error: 

Error while executing action Edit SAN Storage Domain configuration: Physical device initialization failed. Check that the device is empty. Please remove all files and partitions from the device.

Expected results:

we need a clearer message for user. 
also this part is not relevant: 

Check that the device is empty. Please remove all files and partitions from the device.

Additional info: logs
Comment 3 Kevin Alon Goldblatt 2014-10-26 05:49:49 EDT
Tested with V3.5 vt7
The error now reads "Error while executing action: Cannot extend Storage Domain. Storage device is unreachable from nott-vds2."
Moving to Verified!
Comment 4 Allon Mureinik 2015-02-16 14:12:15 EST
RHEV-M 3.5.0 has been released, closing this bug.
Comment 5 Allon Mureinik 2015-02-16 14:12:16 EST
RHEV-M 3.5.0 has been released, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.